@Echo Off&Title 极速PDF阅读器
cd /d %~dp0
mode con cols=42 lines=22
color 2F
>nul 2>&1 REG.exe query "HKU\S-1-5-19" || (
    ECHO SET UAC = CreateObject^("Shell.Application"^) > "%TEMP%\Getadmin.vbs"
    ECHO UAC.ShellExecute "%~f0", "%1", "", "runas", 1 >> "%TEMP%\Getadmin.vbs"
    "%TEMP%\Getadmin.vbs"
    DEL /f /q "%TEMP%\Getadmin.vbs" 2>nul
    Exit /b
)
:Menu
Cls
Echo.
Echo.&Echo     绿化 → 1
Echo.&Echo     卸载 → 2
Echo.
:Menu
Set /p a=输入数字按回车：
If "%a%"=="1" Goto In
If "%a%"=="2" Goto Un
Echo.&Echo                输入无效，请重新输入！
ping -n 2 127.1>nul
Goto Menu
:In
taskkill /f /im JisuPdf.exe >nul 2>nul
taskkill /f /im Pdfcore.exe >nul 2>nul
JisuPdf.exe -SetJisuPdfDef
JisuPdf.exe -installtotal
xcopy /e/i/y "DocSkins" "%AppData%\Jisupdf\DocSkins" >nul 2>nul
xcopy /i/y "CommonExpand.dll" "%AppData%\Jisupdf\" >nul 2>nul
xcopy /i/y "CommonTab.dll" "%AppData%\Jisupdf\" >nul 2>nul
xcopy /i/y "DroidSansFallback.ttf" "%AppData%\Jisupdf\" >nul 2>nul
reg add "HKCU\Software\jisupdf" /v "directory" /t REG_SZ /d "%~dp0\" /f >nul
reg add "HKCU\Software\jisupdf" /v "ch" /t REG_SZ /d "jisupdf_gj" /f >nul
Assoc .pdf=pdffile >nul 2>nul
ftype pdffile=%~dp0JisuPdf.exe %%1 >nul 2>nul
mshta VBScript:Execute("Set a=CreateObject(""WScript.Shell""):Set b=a.CreateShortcut(a.SpecialFolders(""Desktop"") & ""\极速PDF阅读器.lnk""):b.TargetPath=""%~dp0JisuPdf.exe"":b.WorkingDirectory=""%~dp0"":b.Save:close")
Goto fanhui
:Un
taskkill /f /im JisuPdf.exe >nul 2>nul
taskkill /f /im Pdfcore.exe >nul 2>nul
rd /s /q "%AppData%\Jisupdf" >nul 2>nul
rd /s /q "%UserProfile%\Documents\Jisupdf" >nul 2>nul
del /f /q  "Jisupdf.txt" >nul 2>nul
reg delete "HKCU\Software\jisupdf" /f >nul 2>nul
reg delete "HKCU\Software\Classes\.pdf" /f >nul 2>nul
reg delete "HKCU\Software\Classes\JisuPDF" /f >nul 2>nul
reg delete "HKLM\SOFTWARE\Classes\.pdf" /f >nul 2>nul
reg delete "HKLM\SOFTWARE\Classes\JisuPDF" /f >nul 2>nul
Assoc .pdf= >nul 2>nul
del /q "%userprofile%\Desktop\极速PDF阅读器.lnk" >nul 2>nul
del /q "%userprofile%\桌面\极速PDF阅读器.lnk" >nul 2>nul
Goto fanhui
:fanhui
Echo.&Echo                  完成...
ping -n 2 10>nul
goto menu

